Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027871
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 05. Production managementminorhave not tried2014-10-15 10:582014-12-30 23:24
ReporterjonalegriaesarteView Statuspublic 
Assigned Toreinaldoguerra 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision89c732520bab
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027871: Unit of measure is not taking the user language in requisition to order

DescriptionUnit of measure is not taking the user language in requisition to order. Business translation is not supported in Openbravo, but I think that we need to maintain an homogeneus behavior between requisition and requisition to order
Steps To ReproduceA translation pack is needed, for example, spanish translation pack
- Create a requisition with lines. UOM is populated in the user language.
- Requisition to order, Unit is not populated in the user language.
Proposed SolutionAttached a possible patch
TagsNo tags attached.
Attached Filesdiff file icon 27871.diff [^] (4,877 bytes) 2014-10-15 11:00 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0071237)
reinaldoguerra (developer)
2014-10-29 05:34

Test plan used:
1- Login into Openbravo ERP as system administrator
2- Go to module management window and install Localization Pack Spain module.
3- Rebuild the system
4- Login into Openbravo as F&B International Group Admin and spanish language.
5- Go to Requisition window (Necesidad de material in spanish)
6- Create a new record, go to lines tab and create a new one too.
7- Select a product and check that UOM is populated in the user language (spanish)
8- Complete the requisition
9- Go to Requisition to order manual form (Necesidad a Pedido in spanish)
10- Press search button and note Unit field in grid is translated to the user language (spanish)
(0071518)
hgbot (developer)
2014-11-10 10:25

Repository: erp/devel/pi
Changeset: 89c732520bab5a797bc7470b2413ec584eb82a8b
Author: Reinaldo Guerra <reinaldo.guerra <at> peoplewalking.com>
Date: Tue Oct 28 22:56:37 2014 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/89c732520bab5a797bc7470b2413ec584eb82a8b [^]

Fixed bug 27871: UOM is not taking the user language in requisition to order.

Requisition to order manual form xsql query was changed to obtain translated unit and secondary unit fields using AD_COLUMN_IDENTIFIER function.
Now UOM of processed requisitions are translated to selected system language in Requisition to Order window.

---
M src/org/openbravo/erpCommon/ad_forms/RequisitionToOrder_data.xsql
---
(0071520)
pramakrishnan (developer)
2014-11-10 10:26

Code Review + Testing - OK.
(0073032)
hudsonbot (developer)
2014-12-30 23:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-10-15 10:58 jonalegriaesarte New Issue
2014-10-15 10:58 jonalegriaesarte Assigned To => AtulOpenbravo
2014-10-15 10:58 jonalegriaesarte Modules => Core
2014-10-15 10:58 jonalegriaesarte Triggers an Emergency Pack => No
2014-10-15 11:00 jonalegriaesarte File Added: 27871.diff
2014-10-29 03:58 reinaldoguerra Assigned To AtulOpenbravo => reinaldoguerra
2014-10-29 03:58 reinaldoguerra Status new => scheduled
2014-10-29 05:34 reinaldoguerra Note Added: 0071237
2014-11-10 10:25 hgbot Checkin
2014-11-10 10:25 hgbot Note Added: 0071518
2014-11-10 10:25 hgbot Status scheduled => resolved
2014-11-10 10:25 hgbot Resolution open => fixed
2014-11-10 10:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/89c732520bab5a797bc7470b2413ec584eb82a8b [^]
2014-11-10 10:26 pramakrishnan Review Assigned To => pramakrishnan
2014-11-10 10:26 pramakrishnan Note Added: 0071520
2014-11-10 10:26 pramakrishnan Status resolved => closed
2014-12-30 23:24 hudsonbot Checkin
2014-12-30 23:24 hudsonbot Note Added: 0073032


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker